﻿namespace Connected.Classes.Grid;
public class DataGridOptions
{
	/// <summary>
	/// Determine if images will be shown inside the row. If row has no image then it is ignored
	/// </summary>
	public bool ShowImage = true;
	public SmScrn_GridImgPos ImagePosition = SmScrn_GridImgPos.Left;
	public bool Collapsible = true;
	public bool Dense = true;
	public bool ShowSelect = true;
	public int ItemsPerPage = 10;
	public int SelectedPage = 1;
	public string DataSet_ImgColName = string.Empty;

	public int Offset
	{
		get
		{
			return (SelectedPage - 1) * ItemsPerPage;
		}
	}

	public DataGridOptions()
	{
		ShowImage = false;
		ImagePosition = SmScrn_GridImgPos.Left;
		Collapsible = true;
		Dense = true;
		ShowSelect = true;
		ItemsPerPage = 10;
		SelectedPage = 1;
		DataSet_ImgColName = string.Empty;
	}
	public DataGridOptions(DataGridOptions options)
	{
		ShowImage = options.ShowImage;
		ImagePosition = options.ImagePosition;
		Collapsible = options.Collapsible;
		Dense = options.Dense;
		ShowSelect = options.ShowSelect;
		ItemsPerPage = options.ItemsPerPage;
		SelectedPage = options.SelectedPage;
		DataSet_ImgColName = options.DataSet_ImgColName;
	}

	public DataGridOptions(
		bool ShowImage = false,
		SmScrn_GridImgPos ImagePosition = SmScrn_GridImgPos.Left,
		bool Collapsible = true,
		bool Dense = true,
		bool ShowSelect = true,
		int ItemsPerPage = 10,
		int SelectedPage = 1,
		string DataSet_ImgColName = "")
	{
		this.ShowImage = ShowImage;
		this.ImagePosition = ImagePosition;
		this.Collapsible = Collapsible;
		this.Dense = Dense;
		this.ShowSelect = ShowSelect;
		this.ItemsPerPage = ItemsPerPage;
		this.SelectedPage = SelectedPage;
		this.DataSet_ImgColName = DataSet_ImgColName;

	}
}
